summaryrefslogtreecommitdiffstats
path: root/initscript/mandriva/avahi-daemon.in
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/mandriva/avahi-daemon.in')
-rw-r--r--initscript/mandriva/avahi-daemon.in94
1 files changed, 94 insertions, 0 deletions
diff --git a/initscript/mandriva/avahi-daemon.in b/initscript/mandriva/avahi-daemon.in
new file mode 100644
index 0000000..2efbc6e
--- /dev/null
+++ b/initscript/mandriva/avahi-daemon.in
@@ -0,0 +1,94 @@
+#! /bin/sh
+#
+### BEGIN INIT INFO
+# Provides: avahi
+# Required-Start: $network messagebus
+# Required-Stop: $network messagebus
+# Default-Start: 3 5
+# Description: Avahi, a ZeroConf daemon whichs implements an mDNS stack
+### END INIT INFO
+
+# Source function library.
+. /etc/init.d/functions
+
+. /etc/sysconfig/network
+
+# Check that networking is configured.
+[ ${NETWORKING} = "no" ] && exit 0
+
+AVAHI_BIN=@sbindir@/avahi-daemon
+test -x $AVAHI_BIN || exit 5
+
+start() {
+ echo -n $"Starting Avahi daemon: "
+ $AVAHI_BIN -D
+ RETVAL=$?
+ if [ $RETVAL = 0 ]; then
+ touch /var/lock/subsys/avahi-daemon
+ success $"$base startup"
+ else
+ failure $"$base startup"
+ fi
+ echo
+ return $RETVAL
+}
+
+stop() {
+ echo -n "Shutting down Avahi daemon: "
+ $AVAHI_BIN -k
+ RETVAL=$?
+ if [ $RETVAL = 0 ]; then
+ rm -f /var/lock/subsys/avahi-daemon
+ success $"$base stop"
+ else
+ failure $"$base stop"
+ fi
+ echo
+ return $RETVAL
+}
+
+reload() {
+ echo -n "Reloading Avahi daemon: "
+ $AVAHI_BIN -r
+ RETVAL=$?
+ [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup"
+ echo
+ return $RETVAL
+}
+
+
+restart() {
+ stop
+ start
+}
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && echo "Avahi daemon is running" || echo "Avahi daemon is not running"
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ condrestart)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ exit 1
+esac
+
+exit $?